<?xml version="1.0"?>
<!-- 
    注意: 除了手动编辑此文件以外，您还可以使用 
    Web 管理工具来配置应用程序的设置。可以使用 Visual Studio 中的
     “网站”->“Asp.Net 配置”选项。
    设置和注释的完整列表在 
    machine.config.comments 中，该文件通常位于 
    \Windows\Microsoft.Net\Framework\v2.x\Config 中
-->
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
	<configSections>
		<sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
			<sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
				<section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
				<sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
					<section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="Everywhere"/>
					<section name="profileService" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
					<section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
				</sectionGroup>
			</sectionGroup>
		</sectionGroup>
		<section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
		<section name="codeHighlighter" requirePermission="false" type="ActiproSoftware.CodeHighlighter.CodeHighlighterConfigurationSectionHandler, ActiproSoftware.CodeHighlighter.Net20"/>
	</configSections>
	<connectionStrings>
	</connectionStrings>
	<appSettings>
		<add key="LoginSqlServerType" value="0"/>
		<!--设置论坛用户默认角色-->
		<add key="UserLogoutTime" value="2000"/>
		<!--单位为秒-->
		<add key="RunPartition" value="5000"/>
		<!--0为可以同时两个同名的用户登陆,1为不可以-->
		<add key="IsSameLogin" value="0"/>
		<add key="ActLog" value="1"/>
		<!--激活日志,0为不激活,1为激活-->
		<add key="sKey" value="EWorkNet"/>
		<!--加密用-->
		<add key="eMailFuJianOpenType" value="0"/>
		<!--邮件附件类型,1为支持在线编辑，０为原版-->
		<add key="FlowFuJianOpenType" value="0"/>
		<!--流程附件类型,1为支持在线编辑，０为原版-->
		<add key="DataGridOpenType" value="0"/>
		<add key="AllowVisitPage" value="default.aspx,outtime.aspx,browse.aspx,register.aspx,loginapp.aspx"/>
		<!--流程自动发短信提示 -->
		<add key="FlowAutoSendSMS" value="false"/>
		<!--流程用户收到急件自动发送短信提示默认时间(小时)-->
		<add key="SMS_Exigence" value="4"/>
		<!--流程用户收到平件自动发送短信提示默认时间(小时)-->
		<add key="SMS_General" value="48"/>
		<add key="root" value="UserFile/"/>
		<add key="common" value="CommonFile"/>
		<add key="useTreeView" value="true"/>
		<add key="editableFileTypes" value=".txt .aspx .ascx .asax .cs .vb .js .config .asa .asp .htm .html .cfm .css .inc "/>
		<add key="imageFileTypes" value=".gif .jpg .jpeg .bmp .psd .tiff .tif .png"/>
		<add key="musicFileTypes" value=".mp3 .mp2 .mp1 .wav .wma .cda .aif .aiff .au .snd"/>
		<!--设置匿名用户默认主页-->
		<add key="root" value="UserFile/"/>
		<add key="thumbDir" value="/FTP/thumbs"/>
		<add key="fujinlength" value="3"/>
		<add key="FCKeditor:BasePath" value="~/fckeditor/"/>
		<add key="FCKeditor:UserFilesPath" value="~/UpLoadFiles/"/>
	</appSettings>
	<system.web>
		<httpHandlers>
			<remove verb="*" path="*.asmx"/>
			<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
		</httpHandlers>
		<globalization requestEncoding="gb2312" responseEncoding="gb2312" culture="zh-CN" uiCulture="zh-CN"/>
		<compilation debug="true" defaultLanguage="c#">
   <assemblies>
    <add assembly="System.DirectoryServices, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Management, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Configuration.Install, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="MSDATASRC, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="stdole, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Data.OracleClient, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Transactions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
    <add assembly="System.Web.Services, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
    <add assembly="Microsoft.JScript, Version=8.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
   </assemblies>
   <buildProviders>
    <add extension=".asbx" type="Microsoft.Web.Services.BridgeBuildProvider" />
   </buildProviders>
  </compilation>
		<authentication mode="Forms">
			<forms timeout="720" loginUrl="Default.aspx" protection="Validation"/>
		</authentication>
		<authorization>
			<allow users="*"/>
		</authorization>
		<customErrors mode="Off"/>
		<httpRuntime maxRequestLength="2097150"/>
		<!--409600-->
		<!--<jsonSerialization maxJsonLength="500000"></jsonSerialization>-->
		<membership defaultProvider="SqlProvider" userIsOnlineTimeWindow="15">
			<providers>
				<clear/>
				<add name="SqlProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="SqlServices" applicationName="SampleApplication" enablePasswordRetrieval="true" enablePasswordReset="true" passwordFormat="Encrypted" requiresQuestionAndAnswer="true"/>
			</providers>
		</membership>
		<sessionState mode="StateServer" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;user id=sa;password=sa" cookieless="false" timeout="720"/>
	</system.web>
	<system.webServer>
		<modules>
			<add name="CustomModule" type="Samples.CustomModule"/>
		</modules>
		<httpHandlers>
			<remove verb="*" path="*.asmx"/>
			<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
			<add verb="POST,GET" path="ajax/*.ashx" type="Ajax.PageHandlerFactory, Ajax"/>
		</httpHandlers>
	</system.webServer>
	<system.web.extensions>
		<scripting>
			<webServices>
				<jsonSerialization maxJsonLength="1024000"/>
			</webServices>
		</scripting>
	</system.web.extensions>
</configuration>
